summaryrefslogtreecommitdiffstats
path: root/display/splashy/init.d/splashy2
diff options
context:
space:
mode:
Diffstat (limited to 'display/splashy/init.d/splashy2')
-rwxr-xr-xdisplay/splashy/init.d/splashy243
1 files changed, 43 insertions, 0 deletions
diff --git a/display/splashy/init.d/splashy2 b/display/splashy/init.d/splashy2
new file mode 100755
index 0000000000..1e4aa3070a
--- /dev/null
+++ b/display/splashy/init.d/splashy2
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=2
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 2)
+ SPLASHY_PROGRESS=100
+ ;;
+ 3)
+ SPLASHY_PROGRESS=66
+ ;;
+ 4)
+ SPLASHY_PROGRESS=50
+ ;;
+ 5)
+ SPLASHY_PROGRESS=40
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}